Bug 1249924 - ambiguous server version in output of 'subscription-manager version' command.
ambiguous server version in output of 'subscription-manager version' command.
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Eric Helms
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 03:25 EDT by qianzhan
Modified: 2017-08-01 16:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:33:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description qianzhan 2015-08-04 03:25:24 EDT
Description of problem:
ambiguous server version in output of 'subscription-manager version' command.

Version-Release number of selected component (if applicable):
candlepin-scl-rhino-1.7R3-3.el7.noarch
candlepin-0.9.49.3-1.el7.noarch
candlepin-guice-3.0-2_redhat_1.el7.noarch
candlepin-common-1.0.22-1.el7.noarch
candlepin-scl-runtime-1-5.el7.noarch
candlepin-scl-1-5.el7.noarch
candlepin-selinux-0.9.49.3-1.el7.noarch
candlepin-scl-quartz-2.1.5-6.el7.noarch
candlepin-tomcat-0.9.49.3-1.el7.noarch


How reproducible:
always

Steps to Reproduce:
1. Register system to Satellite-6.1.0-RHEL-7-20150731.1
2. Run 'subscription-manager version', and check the output.
[root@dhcp-128-17 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 2.2.0.64-Unknown <===ambiguous server version
subscription management rules: 5.16
subscription-manager: 1.15.6-1.el7
python-rhsm: 1.15.3-1.el7


Actual results:
As step 2.

Expected results:
The server version should be explicit.
Comment 1 Bryan Kearney 2015-10-23 11:54:37 EDT
PLease retest this with 6.2. The data is GIGO for subscription manager. I bet this was bad data in the temporary build of satellite.
Comment 2 qianzhan 2015-10-25 22:54:47 EDT
(In reply to Bryan Kearney from comment #1)
> PLease retest this with 6.2. The data is GIGO for subscription manager. I
> bet this was bad data in the temporary build of satellite.

OK, I will retest this bug with satellite6.2 build when it comes out.
Comment 3 qianzhan 2016-03-21 23:28:34 EDT
I installed satellite6.2 build[1], but this bug still can be reproduced:
(1) Candlepin version:
[root@satellite6 ~]# rpm -qa | grep candlepin
candlepin-selinux-0.9.54.1-1.el6.noarch
candlepin-common-1.0.22-1.el6.noarch
candlepin-0.9.54.1-1.el6.noarch

(2) Verification:
[root@dhcp-128-48 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 3.0.0.7-Unknown
subscription management rules: 5.15.2
subscription-manager: 1.16.8-5.el6
python-rhsm: 1.16.6-1.el6

[root@dhcp-128-48 ~]# subscription-manager register --username admin --password qoC7qVaTd44ZrjW5
Registering to: satellite6.redhat.com:443/rhsm
The system has been registered with ID: 15b5f25e-9a9a-4f32-9cbc-8f3e60fc0fd9 

[root@dhcp-128-48 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 3.0.0.7-Unknown  <======== bug exists !
subscription management rules: 5.15.2
subscription-manager: 1.16.8-5.el6
python-rhsm: 1.16.6-1.el6

[1] ​http://sat-perf-02.sat6.lab.eng.bos.redhat.com/pulp/repos/Sat6-CI/QA/Satellite_RHEL6/custom/Red_Hat_Satellite_6_2_Composes/RHEL6_Satellite_x86_64_os/

Moving this bug to ASSIGNED.
Comment 5 Barnaby Court 2016-12-06 17:08:36 EST
The GA release:


Status results from Candlepin:

{
    "managerCapabilities": [
        "cores",
        "ram",
        "instance_multiplier",
        "derived_product",
        "cert_v3",
        "guest_limit",
        "vcpu",
        "storage_band"
    ],
    "release": "1",
    "result": true,
    "rulesSource": "DEFAULT",
    "rulesVersion": "5.15.2",
    "standalone": true,
    "timeUTC": "2016-12-06T22:04:54.035+0000",
    "version": "0.9.54.7"
}

Status results from Satellite:
{
    "managerCapabilities": [
        "cores",
        "ram",
        "instance_multiplier",
        "derived_product",
        "cert_v3",
        "guest_limit",
        "vcpu",
        "storage_band"
    ],
    "result": true,
    "rulesSource": "DEFAULT",
    "rulesVersion": "5.15.2",
    "standalone": true,
    "timeUTC": "2016-12-06T22:03:17.938Z",
    "version": "3.0.0.68"
}

The release field is not being returned when satellite rewrites the values.
Comment 6 Bryan Kearney 2017-08-01 16:33:11 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.